Name:    libnetcdf
Version: 3.5.0
Release: alt7
Summary: NetCDF (network Common Data Form)
License: BSD-like
Group:   System/Libraries
URL:     http://www.unidata.ucar.edu/packages/netcdf/

Source0: ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-%version.tar.bz2
Patch0:  libnetcdf-shared.patch
Patch1:  libnetcdf-macros.make.in.patch
Patch2:  libnetcdf-install_man.patch
Patch3:  libnetcdf-shared_test.patch
Patch4:  netcdf-3.5.0-build.patch
Patch5:  netcdf-3.5.0-info.patch

%if "%nosource" == "1"
NoSource: 0
%endif

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: gcc-c++ gcc-g77 libg2c-devel libstdc++-devel tetex


%package devel
Summary: Development tools for the NetCDF library
Summary(ru_RU.KOI8-R):       NetCDF
Group: Development/C
Requires: %name = %version-%release


%package devel-static
Summary: Static libraries for developing with NetCDF
Summary(ru_RU.KOI8-R):        NetCDF
Group: Development/C
Requires: %name = %version-%release


%description
NetCDF (network Common Data Form) is an interface for array-oriented
data access and a freely-distributed collection of software libraries
for C, Fortran, C++, Java, and perl that provide implementations of the
interface. The netCDF software was developed by Glenn Davis, Russ Rew,
Steve Emmerson, John Caron, and Harvey Davies at the Unidata Program
Center in Boulder, Colorado, and augmented by contributions from other
netCDF users. The netCDF libraries define a machine-independent format
for representing scientific data. Together, the interface, libraries,
and format support the creation, access, and sharing of scientific data.


%description -l ru_RU.KOI8-R
NetCDF (network Common Data Form)    
     , , 
      C, Fortran, C++,
Java  perl,    .  netCDF 
   (Glenn Davis),   (Russ Rew),
  (Steve Emmerson),   (John Caron) 
  (Harvey Davies)  Unidata Program Center  ,
       netCDF.
 netCDF      
  . ,    
 ,     
.


%description devel
The header files and documentation for using the NetCDF library in 
applications.

If you want to develop applications which will use the NetCDF library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.


%description -l ru_RU.KOI8-R devel
       NetCDF
 .

    ,  
  NetCDF,    
%name-devel.       %name.


%description devel-static
The static libraries for developing with NetCDF library.


%description -l ru_RU.KOI8-R devel-static
       
NetCDF


%prep
%setup -q -n netcdf-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1


%build
cd src
%add_optflags -Df2cFortran -DVERSION=%version
%configure
#No SMP
%make
#'cause libtool bugs
# %make FFLAGS="$FFLAGS -w" test
cd cxx
#No SMP
%make makeinfo="makeinfo -o netcdf_c++.info" info
%make html
cd ../


%install
install -d %buildroot{%_libdir,%_includedir,%_mandir,%_infodir}
cd src
%make_install prefix=%buildroot%{_prefix} \
  exec_prefix=%buildroot%{_exec_prefix} \
  INCDIR=%buildroot%{_includedir} \
  LIBDIR=%buildroot%{_libdir} \
  BINDIR=%buildroot%{_bindir} \
  MANDIR=%buildroot%{_mandir} install
install -p -m 644 cxx/netcdf_c++.info %buildroot%{_infodir}

install -m 644 %buildroot%_mandir/man3f/netcdf.3f %buildroot%_mandir/man3/netcdf_fortran.3
rm -rf %buildroot%_mandir/man3f


%post -p /sbin/ldconfig
%postun -p %postun_ldconfig


%post devel
%install_info netcdf_c++.info


%preun devel
%uninstall_info netcdf_c++.info


%files
%_bindir/*
%_libdir/*.so.*
%_mandir/man1/*
%doc src/README src/VERSION src/COPYRIGHT


%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_mandir/man3/*
%_infodir/*.info*
%doc src/COMPATIBILITY src/INSTALL.html src/RELEASE_NOTES src/cxx/cxxdoc.ps src/cxx/example.c* src/cxx/cxxdoc*.html


%files devel-static
%_libdir/*.a


%changelog
* Wed Nov 06 2002 AEN <aen@altlinux.ru> 3.5.0-alt7
- rebuilt with gcc-3.2

* Sun Oct 13 2002 Yury A. Zotov <yz@altlinux.ru> 3.5.0-alt6
- build with gcc3.2
- new BuildRequires

* Tue May 7 2002 Yury Zotov <yz@altlinux.ru> 3.5.0-alt5
- using %postun_ldconfig

* Tue Feb 12 2002 Yury Zotov <yz@altlinux.ru> 3.5.0-alt4
- conflict with filesystem package fix
- netcdf.3f -> netcdf_fortran.3
- netcdf-3.5.0-info.patch
- new build patch
- spec translated in russian

* Fri Oct 12 2001 Stanislav Ievlev <inger@altlinux.ru> 3.5.0-alt3
- fix SMP
- new patch for build

* Wed Oct 10 2001 Yury A. Zotov <yz@altlinux.ru> 3.5.0-alt2
- fixed build directories in src/cxx/Makefile
